/**
* Copyright (c) 2020 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

:root {
  //
  // Colors
  //

  // Default colors
  --nv-type-primary: #{$type-primary};
  --nv-type-secondary: #{$type-secondary};
  --nv-type-disabled: #{$type-disabled};

  // Dark colors
  --nv-type-primary-dark: #{$type-primary};
  --nv-type-secondary-dark: #{$type-secondary};
  --nv-type-disabled-dark: #{$type-disabled};

  // Light colors
  --nv-type-primary-light: #{$type-primary-light};
  --nv-type-secondary-light: #{$type-secondary-light};
  --nv-type-disabled-light: #{$type-disabled-light};

  //
  // Themes
  //

  // Primary color theme
  --nv-theme-primary: #{$theme-primary};
  --nv-theme-primary-dark: #{$theme-primary-dark};
  --nv-theme-primary-dark-alt: #{$theme-primary-dark-alt};

  // Light
  --nv-theme: #{$theme-light};
  --nv-theme-border: #{$theme-light-border};
  --nv-theme-alt-1: #{$theme-light-1};
  --nv-theme-alt-2: #{$theme-light-2};
  --nv-theme-disabled: #{$theme-light-disabled};

  // Dark
  --nv-theme-dark: #{$theme-dark};
  --nv-theme-dark-1: #{$theme-dark-1};
  --nv-theme-dark-2: #{$theme-dark-2};
  
  --nv-theme-gray: #{$theme-gray};

  // Danger
  --nv-theme-danger: #{$theme-danger};
  --nv-theme-danger-alt: #{$theme-danger-alt};
  --nv-theme-danger-dark: #{$theme-danger-dark};

  //
  // Border
  //
  --nv-border-color: #{$theme-light-border};
  --nv-border-color-dark: #{$theme-dark-border};
  --nv-border-radius: 8px;

  //
  // Contrast colors
  //
  --nv-contrast-color: #{$theme-dark};
  
}

//
// Dark theme
//

.nv-app[data-theme='dark'] {
  // Light colors
  --nv-type-primary: #{$type-primary-light};
  --nv-type-secondary: #{$type-secondary-light};
  --nv-type-disabled: #{$type-disabled-light};

  //
  // Themes
  //

  // Primary color theme
  --nv-theme-primary: #{$theme-primary};
  --nv-theme-primary-dark: #{$theme-primary-dark};
  --nv-theme-primary-dark-alt: #{$theme-primary-dark-alt};

  // Dark
  --nv-theme: #{$theme-dark};
  --nv-theme-border: #{$theme-dark-border};
  --nv-theme-alt-1: #{$theme-dark-1};
  --nv-theme-alt-2: #{$theme-dark-2};
  --nv-theme-disabled: #{$theme-dark-disabled};

  //
  // Border
  //
  --nv-border-color: #{$theme-dark-border};


  //
  // Contrast colors
  //
  --nv-contrast-color: #{$theme-light};
}
